@echo off
mode con: cols=95 lines=30
Title Gestionnaire Patch FR UNDERTALE
:INIT
IF NOT EXIST UNDERTALE.EXE goto MISSFATALERROR
goto MENU
:MENU
CLS
color 0f
echo ----------------------------------
echo  GESTIONNAIRE PATCH UNDERTALE v.1
echo ----------------------------------
echo Bienvenue au gestionnaire du patch fran‡ais de Undertale !
echo Que voulez-vous faire ?
echo 1) Changer la langue du jeu.
echo 2) Mettre … jour le patch (fichier patch.bps requis).
echo 3) D‚sinstaller le patch.
echo 0) Quitter.
SET /P M=Tapez 1, 2, 3 ou 0 sur votre clavier puis appuyez sur entr‚e pour faire votre choix :
IF %M%==1 goto LANGSWITCHSTART
IF %M%==2 goto UPDATESTART
IF %M%==3 goto UNINSTSTART
IF %M%==0 exit
echo Entr‚e invalide.
goto MENU
:LANGSWITCHSTART
IF EXIST data.win.english goto FRTOEN
IF EXIST data.win.french goto ENTOFR
CLS
color 0c
echo                                   ! ERREUR !
echo Le fichier permettant de changer de langue n'a pas ‚t‚ trouv‚.
echo Il est probable qu'il a ‚t‚ supprim‚ par l'utilisateur.
echo Le jeu ne pourra pas changer de langue. Si le jeu est bloqu‚ en fran‡ais,
echo il ne pourra ˆtre d‚sinstall‚ non plus. Il faudra que le fichier de donn‚es du jeu
echo original soit ret‚l‚charg‚.
echo Le gestionnaire va quitter.
pause
exit
:UPDATESTART
IF EXIST data.win.english goto UPLANGSWITCH
IF NOT EXIST data.win goto UPERROR
IF NOT EXIST patch.bps goto UPMISS
IF NOT EXIST flips.exe goto FLIPSMISS
goto UPDATE
exit
:UPLANGSWITCH
CLS
echo La langue est actuellement en fran‡ais.
ren data.win temp
ren data.win.english data.win
ren temp data.win.french
echo La langue a ‚t‚ chang‚e … l'anglais.
goto UPDATE
:UPERROR
CLS
color 0c
echo                                  ! ERREUR !
echo Mise … jour impossible : Le fichier data.win est manquant. Il a d– ˆtre supprim‚.
echo Si data.win.english existe, renommez le en data.win et r‚installez le patch.
echo Sinon, effectuez une v‚rification du cache depuis les paramŠtres Steam du jeu
echo ou r‚installez-le puis installez le patch.
echo Le gestionnaire va quitter.
pause
exit
:FLIPSMISS
CLS
color 0c
echo                                  ! ERREUR !
echo Mise … jour impossible : Le patcheur FLIPS est manquant. Il a d– ˆtre supprim‚.
echo Pour le restaurer, t‚l‚chargez le patch manuel sur le site d'Undertale France
echo et placez le fichier flips.exe dans le dossier d'installation du jeu.
echo Sinon, d‚sinstallez le patch et r‚installez-le.
echo Le gestionnaire va quitter.
pause
exit
:UPMISS
CLS
echo Mise … jour impossible. Le fichier patch.bps est manquant.
echo Pour pouvoir mettre … jour le jeu, t‚l‚chargez le patch manuel sur le site
echo d'Undertale France puis placez le fichier patch.bps dans le dossier
echo d'installation du jeu.
pause
exit
:UPDATE
CLS
echo Application du patch, veuillez patienter...
attrib -r data.win
flips -a patch.bps data.win temp
del data.win
ren temp data.win
echo Termin‚ !
echo Suppression des fichiers temporaires...
del patch.bps
echo Mise … jour termin‚e.
pause
goto PROMPTRUNGAME
exit
:UNINSTSTART
IF EXIST data.win.english goto UNINSTLANGSWITCH
IF NOT EXIST data.win goto UNINSTFAIL
goto UNINST
:UNINSTLANGSWITCH
CLS
echo La langue est actuellement en fran‡ais.
ren data.win temp
ren data.win.english data.win
ren temp data.win.french
echo La langue a ‚t‚ chang‚e … l'anglais.
goto UNINST
:UNINST
CLS
echo D‚sinstallation du patch.
del data.win.french
echo D‚insnstallaiton termin‚e.
pause
del newmanager.bat
:FRTOEN
CLS
echo La langue est actuellement en fran‡ais.
ren data.win temp
ren data.win.english data.win
ren temp data.win.french
echo La langue a ‚t‚ chang‚e … l'anglais.
pause
goto MENU
:ENTOFR
CLS
echo La langue est actuellement en fran‡ais.
ren data.win temp
ren data.win.french data.win
ren temp data.win.english
echo La langue a ‚t‚ chang‚e … l'anglais.
pause
goto MENU
:MISSFATALERROR
CLS
color 0c
echo                                  ! ERREUR !
echo Le fichier UNDERTALE.EXE n'a pas ‚t‚ trouv‚ !
echo Le gestionnaire n'a pas ‚t‚ install‚ au bon endroit.
echo Les fichiers relatifs au patch vont ˆtre supprim‚s.
pause
del flips.exe
del patch.bps
del newmanager.bat
